﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "enGB", true, true);

if AL then
	AL["ALARM_MESSAGE"] = "A rare NPC just showed up, check your map!"
	AL["ALARM_SOUND"] = "Warning sound for rare NPCs"
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC shows up in your minimap"
	AL["ALARM_TREASURES_SOUND"] = "Warning sound for events/treasures"
	AL["ALARM_TREASURES_SOUND_DESC"] = "Sound played when a treasure/chest or event shows up in your minimap"
	AL["AUTO_HIDE_BUTTON"] = "Autohide button and miniature"
	AL["AUTO_HIDE_BUTTON_DESC"] = "Hides the button and the miniature automatically after the time selected (in seconds). If you select zero seconds the button and the miniature won't autohide"
	AL["CHECK_MAP"] = "Check your map!"
	AL["CLEAR_FILTERS_SEARCH"] = "Show all"
	AL["CLEAR_FILTERS_SEARCH_DESC"] = "Reset the previous search and show the complete list"
	AL["CLICK_TARGET"] = "Click to target NPC"
	AL["DISABLE_SEARCHING_RARE_TOOLTIP"] = "Disable alerts for this rare NPC"
	AL["DISABLE_SOUND"] = "Disable audio alerts"
	AL["DISABLE_SOUND_DESC"] = "When this is activated you won't receive audio alerts"
	AL["DISABLED_SEARCHING_RARE"] = "Disabled alerts for this rare NPC: "
	AL["DISPLAY"] = "Display"
	AL["DISPLAY_BUTTON"] = "Toggle showing the button and the miniature"
	AL["DISPLAY_BUTTON_CONTAINERS"] = "Toggle showing the button for treasures/chests"
	AL["DISPLAY_BUTTON_CONTAINERS_DESC"] = "Toggle showing the button for treasures/chests. It doesn't affect the alarm sound and the chat alerts"
	AL["DISPLAY_BUTTON_DESC"] = "When disabled the button and the miniature won't be shown again. It doesn't affect the alarm sound and the chat alerts"
	AL["DISPLAY_LFG_BUTTON"] = "Toggle showing the button for searching groups"
	AL["DISPLAY_LFG_BUTTON_DESC"] = "When disabled the button for searching groups won't be shown again"
	AL["DISPLAY_LOG_WINDOW"] = "Toggle showing the log window"
	AL["DISPLAY_LOG_WINDOW_DESC"] = "When disabled the log window won't be shown again."
	AL["DISPLAY_LOOT_PANEL"] = "Toggle showing loot bar"
	AL["DISPLAY_LOOT_PANEL_DESC"] = "When this is activated it will show a bar with the loot dropped by the NPC found"
	AL["DISPLAY_OPTIONS"] = "Display options"
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests"
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap"
	AL["ENABLE_SCAN_EVENTS"] = "Toggle searching events"
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap"
	AL["ENABLE_SCAN_GARRISON_CHEST"] = "Toggle searching garrison treasure"
	AL["ENABLE_SCAN_GARRISON_CHEST_DESC"] = "When this is activated you will be warned visually and with a sound everytime your garrison chest shows up in your minimap"
	AL["ENABLE_SCAN_IN_INSTANCE"] = "Toggle scanning in instances"
	AL["ENABLE_SCAN_IN_INSTANCE_DESC"] = "When this is activated the addon will work as usual while you are in an instance (dungeon, raid, etc)"
	AL["ENABLE_SCAN_RARES"] = "Toggle searching rare NPCs"
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap"
	AL["ENABLE_SEARCHING_RARE_TOOLTIP"] = "Enable alerts for this rare NPC"
	AL["ENABLED_SEARCHING_RARE"] = "Enabled alerts for this rare NPC: "
	AL["FILTER"] = "NPC filters"
	AL["FILTER_RARE_LIST"] = "Filter searching for rare NPCs"
	AL["FILTER_RARE_LIST_DESC"] = "Toggle searching for this rare NPC. When disabled you won't get an alert when this NPC is found."
	AL["FILTER_ZONES_LIST"] = "Zone list"
	AL["FILTER_ZONES_LIST_DESC"] = "Toggle alerts in this zone. When disabled you won't get an alert when a rare NPC, event or treasure is found in this zone."
	AL["FILTERS"] = "Rare NPCs filters"
	AL["FILTERS_SEARCH"] = "Search"
	AL["FILTERS_SEARCH_DESC"] = "Type the name of the NPC to filter the list below"
	AL["GENERAL_OPTIONS"] = "General options"
	AL["JUST_SPAWNED"] = " just showed up"
	AL["LEFT_BUTTON"] = "Left-click"
	AL["LFG_BUTTON_CREATE_JOIN"] = "Mouse button for finding/creating groups"
	AL["LFG_BUTTON_CREATE_JOIN_DESC"] = "Select which button you want to click in order to find a group, or create one if you don't find one first"
	AL["LFG_BUTTON_CREATE_ONLY"] = "Mouse button only for creating groups"
	AL["LFG_BUTTON_CREATE_ONLY_DESC"] = "Select which button you want to click in order to create a new group, instead of joining an existing one"
	AL["LFG_CREATE_GROUP"] = "Group not found. Do you want to create a new group?"
	AL["LFG_CREATE_GROUP_FORCE"] = "Do you want to create a new group?"
	AL["LFG_ERROR_JOINING"] = "Error while creating a group, try again"
	AL["LFG_JOIN_GROUP"] = "Group found. Do you want to join it?"
	AL["LFG_NO"] = "No"
	AL["LFG_NPC_DEAD"] = "The npc you were going to kill just died. Do you want to leave the group?"
	AL["LFG_REJOIN_GROUP"] = "This is taking too long. Do you want to try again?"
	AL["LFG_SEARCH_GROUP"] = "Search for a group to kill this NPC"
	AL["LFG_YES"] = "Yes"
	AL["LOG_WINDOW_AUTOHIDE"] = "Autohide logged NPC buttons"
	AL["LOG_WINDOW_AUTOHIDE_DESC"] = "Hides each NPC button after the time selected (in minutes). If you select zero minutes the buttons will remain until you close the log window, or it reaches the maximun number of buttons (in which case the older will be replaced)."
	AL["LOG_WINDOW_OPTIONS"] = "Log window options"
	AL["LOOT_MIN_QUALITY"] = "Minimum loot quality"
	AL["LOOT_MIN_QUALITY_DESC"] = "Defines the minimum loot quality to show in the loot bar"
	AL["LOOT_PANEL_OPTIONS"] = "Loot bar options"
	AL["LOOT_TOOLTIP_POSITION"] = "Loot tooltip position"
	AL["LOOT_TOOLTIP_POSITION_DESC"] = "Defines where to show the loot tooltip that appears when you move the mouse over an icon, in respect to the button"
	AL["MAIN_BUTTON_OPTIONS"] = "Main button options"
	AL["MESSAGE_OPTIONS"] = "Messages options"
	AL["MIDDLE_BUTTON"] = "Middle-click"
	AL["NOT_TARGETEABLE"] = "Not targeteable"
	AL["QUALITY_COMMON"] = "Common"
	AL["QUALITY_EPIC"] = "Epic"
	AL["QUALITY_LEGENDARY"] = "Legendary"
	AL["QUALITY_POOR"] = "Poor"
	AL["QUALITY_RARE"] = "Rare"
	AL["QUALITY_UNCOMMON"] = "Uncommon"
	AL["RIGHT_BUTTON"] = "Right-button"
	AL["SHOW_CHAT_ALERT"] = "Toggle showing chat alerts"
	AL["SHOW_CHAT_ALERT_DESC"] = "Shows a private message in the chat every time a treasure, chest or NPC is found"
	AL["SOUND"] = "Sound"
	AL["SOUND_OPTIONS"] = "Sound options"
	AL["TEST"] = "Launch Test"
	AL["TEST_DESC"] = "Press the button to show an alert example. You can drag and drop the panel to another position where it will be shown from now on."
	AL["TOC_NOTES"] = "Minimap scanner. Warns you visually with a button and a miniature and plays a sound everytime a rare NPC, treasure/chest or event shows up in your minimap"
	AL["TOGGLE_FILTERS"] = "Toggle filters"
	AL["TOGGLE_FILTERS_DESC"] = "Toggle all filters at once"
	AL["TOOLTIP_BOTTOM"] = "Lower side"
	AL["TOOLTIP_CURSOR"] = "Follow cursor"
	AL["TOOLTIP_LEFT"] = "Left side"
	AL["TOOLTIP_RIGHT"] = "Right side"
	AL["TOOLTIP_TOP"] = "Upper side"
	AL["UNKNOWN_TARGET"] = "Unknown target"
	AL["ZONES_FILTER"] = "Zone filters"
	AL["ZONES_FILTERS_SEARCH_DESC"] = "Type the name of the zone to filter the list below"
	AL["HYPERLINK_MESSAGE"] = "In combat!. Use this link as the LFG button"
	
	-- ZONES names
	AL["ZONES_LIST"] = {
		-- Pandaria
		["Dread Wastes"] = 858; --Dread Wastes
		["Isle of Giants"] = 929; --Isle of Giants
		["Isle of Thunder"] = 928; --Isle of Thunder
		["Krasarang Wilds"] = 857; --Krasarang Wilds
		["Kun-Lai Summit"] = 809; --Kun-Lai Summit
		["Shrine of Seven Stars"] = 905; --Shrine of Seven Stars
		["Shrine of Two Moons"] = 903; --Shrine of Two Moons
		["The Jade Forest"] = 806; --The Jade Forest
		["The Veiled Stair"] = 873; --The Veiled Stair
		["The Wandering Isle"] = 808; --The Wandering Isle
		["Timeless Isle"] = 951; --Timeless Isle
		["Townlong Steppes"] = 810; --Townlong Steppes
		["Vale of Eternal Blossoms"] = 811; --Vale of Eternal Blossoms
		["Valley of the Four Winds"] = 807; --Valley of the Four Winds
		-- Draenor
		["Ashran"] = 978; --Ashran
		["Frostfire Ridge"] = 941; --Frostfire Ridge
		["Isle of Thunder"] = 928; --Isle of Thunder
		["Frostwall"] = 976; --Frostwall
		["Gorgrond"] = 949; --	Gorgrond
		["Lunarfall"] = 971; --Lunarfall
		["Nagrand"] = 950; --Nagrand
		["Shadowmoon Valley"] = 947; --Shadowmoon Valley
		["Spires of Arak"] = 948; --Spires of Arak
		["Stormshield"] = 1009; --Stormshield
		["Talador"] = 946; --Talador
		["Tanaan Jungle"] = 945; --Tanaan Jungle
		["Warspear"] = 1011; --Warspear
		["Horde Garrison"] = 976; --Horde Garrison
		["Alliance Garrison"] = 971; --Alliance Garrison
		-- The Broken Isles
		["Aszuna"] = 1015; --Aszuna
		["Broken Shore"] = 1021; --Broken Shore
		["Dalaran"] = 1014; --Dalaran
		["Eye of Azshara"] = 1096; --Eye of Azshara
		["Highmountain"] = 1024; --Highmountain
		["Stormheim"] = 1017; --Stormheim
		["Suramar"] = 1033; --Suramar
		["Val'sharah"] = 1018; --Val'sharah
		-- Argus
		["Krokuun"] = 1135; --Krokuun
		["Mac'Aree"] = 1170; --Mac'Aree
		["Antoran Wastes"] = 1171; --Antoran Wastes
		-- Order Halls
		["Hall of the Guardian"] = 1068; --Hall of the Guardian (mage)
		["Mardum, the Shattered Abyss"] = 1052; --Mardum, the Shattered Abyss (demon hunter)
		["Netherlight Temple"] = 1040; --Netherlight Temple (priest)
		["Skyhold"] = 1035; --Skyhold (warrior)
		["The Dreamgrove"] = 1077; --The Dreamgrove (druid)
		["The Heart of Azeroth"] = 1057; --The Heart of Azeroth (shaman)
		["The Wandering Isle"] = 1044; --The Wandering Isle (monk)
		["Trueshot Lodge"] = 1072; --Trueshot Lodge (hunter)
		-- Raids
		["The Emerald Nightmare"] = 1094; --The Emerald Nightmare
		["Trial of Valor"] = 1114; --Trial of Valor
		["The Nighthold"] = 1088; --The Nighthold
		["Tomb of Sargeras"] = 1147; --Tomb of Sargeras
		["Antorus, the Burning Throne"] = 1188; --Antorus, the Burning Throne
	}
end